<?php

declare(strict_types=1);

namespace App\Administration\Domain\Exception;

use App\Administration\Domain\Model\Subject\SubjectId;
use DomainException;

use function sprintf;

final class SubjectNonSupprimableException extends DomainException
{
    public static function avecNotes(SubjectId $id): self
    {
        return new self(sprintf(
            'La matière "%s" ne peut pas être supprimée car des notes y sont associées.',
            (string) $id,
        ));
    }
}
